searchNodes=[{"ref":"Bech32.html","title":"Bech32","type":"module","doc":"This is an implementation of BIP-0173 Bech32 address format for native v0-16 witness outputs. See https://github.com/bitcoin/bips/blob/master/bip-0173.mediawiki for details"},{"ref":"Bech32.html#convertbits/4","title":"Bech32.convertbits/4","type":"function","doc":"Convert raw binary to 5 bit per byte encoded byte string. Returns a binary that uses 5 bits per byte. ## Example iex&gt; Bech32.convertbits(&lt;&lt;1, 0, 221, 231, 128, 28, 7, 61, 251, 52, 100, 199, 177, 240, 91, 128, 107, 178, 187, 184, 78, 153&gt;&gt;) &lt;&lt;0, 4, 0, 13, 27, 25, 28, 0, 3, 16, 3, 19, 27, 30, 25, 20, 12, 19, 3, 27, 3, 28, 2, 27, 16, 1, 21, 27, 5, 14, 29, 24, 9, 26, 12, 16&gt;&gt;"},{"ref":"Bech32.html#create_checksum/2","title":"Bech32.create_checksum/2","type":"function","doc":"Create a checksum from the human readable part plus the data part. Returns a binary that represents the checksum. ## Example iex&gt; Bech32.create_checksum(&quot;ckb&quot;, &lt;&lt;1, 0, 221, 231, 128, 28, 7, 61, 251, 52, 100, 199, 177, 240, 91, 128, 107, 178, 187, 184, 78, 153&gt;&gt;) &lt;&lt;4, 5, 2, 7, 25, 10&gt;&gt;"},{"ref":"Bech32.html#decode/2","title":"Bech32.decode/2","type":"function","doc":"Decode a bech32 address. You can also pass the :ignore_length keyword into the opts if you want to allow more than 90 chars for currencies like Nervos CKB. Returns {:ok, hrp :: String.t(), data :: binary} or an {:error, reason} tuple. Note that we return 8 bits per byte here not 5 bits per byte. ## Example iex&gt; Bech32.decode(&quot;ckb1qyq036wytncnfv0ekfjqrch7s5hzr4hkjl4qs54f7e&quot;) {:ok, &quot;ckb&quot;, &lt;&lt;1, 0, 248, 233, 196, 92, 241, 52, 177, 249, 178, 100, 1, 226, 254, 133, 46, 33, 214, 246, 151, 234&gt;&gt;}"},{"ref":"Bech32.html#encode/2","title":"Bech32.encode/2","type":"function","doc":"Encode a bech32 address from the hrp and data directly (data is a raw binary with no pre-processing). Returns a bech32 address as a string. ## Example iex&gt; Bech32.encode(&quot;ckb&quot;, &lt;&lt;1, 0, 221, 231, 128, 28, 7, 61, 251, 52, 100, 199, 177, 240, 91, 128, 107, 178, 187, 184, 78, 153&gt;&gt;) &quot;ckb1qyqdmeuqrsrnm7e5vnrmruzmsp4m9wacf6vsxasryq&quot;"},{"ref":"Bech32.html#encode_from_5bit/2","title":"Bech32.encode_from_5bit/2","type":"function","doc":"Encode address from 5 bit encoded values in each byte. In other words bytes should have a value between 0 and 31. Returns a bech32 address as a string. ## Example iex&gt; Bech32.encode_from_5bit(&quot;ckb&quot;, Bech32.convertbits(&lt;&lt;1, 0, 221, 231, 128, 28, 7, 61, 251, 52, 100, 199, 177, 240, 91, 128, 107, 178, 187, 184, 78, 153&gt;&gt;)) &quot;ckb1qyqdmeuqrsrnm7e5vnrmruzmsp4m9wacf6vsxasryq&quot;"},{"ref":"Bech32.html#get_hrp/1","title":"Bech32.get_hrp/1","type":"function","doc":"Get the human readable part of the address. Very little validation is done here please use decode/1 or decode/2 if you need to validate the address. Returns {:ok, hrp :: String.t()} or an {:error, reason} tuple. ## Example iex&gt; Bech32.get_hrp(&quot;ckb1qyqdmeuqrsrnm7e5vnrmruzmsp4m9wacf6vsxasryq&quot;) {:ok, &quot;ckb&quot;}"},{"ref":"Bech32.html#segwit_decode/2","title":"Bech32.segwit_decode/2","type":"function","doc":"Decode a segwit bech32 address. Returns {:ok, witver :: non_neg_integer , data :: binary} or an {:error, reason} tuple. Note that we return 8 bits per byte here not 5 bits per byte. ## Example iex&gt; Bech32.segwit_decode(&quot;bc&quot;, &quot;bc1q5ul5v7jan29qkeefplasamurqg0tpzk5ljjhm6&quot;) {:ok, 0, &lt;&lt;167, 63, 70, 122, 93, 154, 138, 11, 103, 41, 15, 251, 14, 239, 131, 2, 30, 176, 138, 212&gt;&gt;}"},{"ref":"Bech32.html#segwit_encode/3","title":"Bech32.segwit_encode/3","type":"function","doc":"Encode a bech32 segwit address. Returns a bech32 address as a string. ## Example iex&gt; Bech32.segwit_encode(&quot;bc&quot;, 0, &lt;&lt;167, 63, 70, 122, 93, 154, 138, 11, 103, 41, 15, 251, 14, 239, 131, 2, 30, 176, 138, 212&gt;&gt;) &quot;bc1q5ul5v7jan29qkeefplasamurqg0tpzk5ljjhm6&quot;"},{"ref":"Bech32.html#verify/1","title":"Bech32.verify/1","type":"function","doc":"Verify the checksum of the address report any errors. Note that this doesn&#39;t perform exhaustive validation of the address. If you need to make sure the address is well formed please use decode/1 or decode/2 instead. Returns :ok or an {:error, reason} tuple. ## Example iex&gt; Bech32.verify(&quot;ckb1qyqdmeuqrsrnm7e5vnrmruzmsp4m9wacf6vsxasryq&quot;) :ok"},{"ref":"Bech32.html#verify_predicate/1","title":"Bech32.verify_predicate/1","type":"function","doc":"Verify the checksum of the address report success or failure. Note that this doesn&#39;t perform exhaustive validation of the address. If you need to make sure the address is well formed please use decode/1 or decode/2 instead. Returns true or false. ## Example iex&gt; Bech32.verify_predicate(&quot;ckb1qyqdmeuqrsrnm7e5vnrmruzmsp4m9wacf6vsxasryq&quot;) true"}]